//----------------------------------------------------------------------------
// Copyright (c) 1997 by Joseph Parrello. All Rights Reserved.
// Site   : http://space.tin.it/computer/giparrel
// E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it
//
// Revision:   1.1  (December 26, 1997).
//
// Definition of JPTextGadget class.
//
// Read JPTXTGAD.TXT for use and license.
//
// Only for OWL 5.02 users.
// OWL and ObjectWindows are trademarks of Borland International.
//
// THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "jptxtgad.h"


//{{JPTextGadget Implementation}}


JPTextGadget::JPTextGadget(int id, TBorderStyle borderstyle, TAlign align, uint numChars, const char far* text, TFont* font)
:
    TTextGadget(id, borderstyle, align, numChars, text, font)
{
}


JPTextGadget::~JPTextGadget()
{
  // INSERT>> Your destructor code here.

}


void JPTextGadget::MouseEnter(uint modKeys, TPoint& point)
{
  TTextGadget::MouseEnter(modKeys, point);

  if (Window->GetHintMode() == TGadgetWindow::EnterHints)
        Window->SetHintCommand(GetId());
}


void JPTextGadget::MouseLeave(uint modKeys, TPoint& point)
{
  TTextGadget::MouseLeave(modKeys, point);

  if (Window->GetHintMode() == TGadgetWindow::EnterHints)
        Window->SetHintCommand(-1);
}

